Passer au contenu principal
GET
/
exports
/
{exportId}
Get export state and fresh download URL
curl --request GET \
  --url https://api.youka.io/api/v1/exports/{exportId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.youka.io/api/v1/exports/{exportId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.youka.io/api/v1/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "error": "<string>",
  "fileId": "<string>",
  "filename": "<string>",
  "fileExtension": "<string>",
  "resolution": "<string>",
  "quality": "<string>",
  "fps": 123,
  "transparent": true,
  "downloadUrl": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

exportId
string
requis

Réponse

200 - application/json

Export state

id
string
requis
status
enum<string>
requis
Options disponibles:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
error
string | null
fileId
string | null
filename
string
Minimum string length: 1
fileExtension
string
resolution
string
quality
string
fps
transparent
boolean
renderMode
enum<string>
Options disponibles:
standard,
fast
renderBackend
enum<string>
Options disponibles:
batch,
lambda
downloadUrl
string<uri> | null